GDB (xrefs)

Classes | Typedefs | Functions | Variables
/tmp/gdb-8.1/gdb/ui-file.h File Reference
`#include <string>`

Go to the source code of this file.

## Classes
class | ui_file
class | null_file
class | string_file
class | stdio_file
class | stderr_file
class | tee_file

## Typedefs
typedef std::unique_ptr< ui_file > | ui_file_up
typedef std::unique_ptr< stdio_file > | stdio_file_up

## Functions
void | gdb_flush (ui_file *)
int | ui_file_isatty (struct ui_file *)
void | ui_file_write (struct ui_file *file, const char *buf, long length_buf)
void | ui_file_write_async_safe (struct ui_file *file, const char *buf, long length_buf)
long | ui_file_read (struct ui_file *file, char *buf, long length_buf)

## Variables
null_file | null_stream

## Typedef Documentation

## ◆ stdio_file_up

typedef std::unique_ptr<stdio_file> stdio_file_up

Definition at line 200 of file ui-file.h.

## ◆ ui_file_up

typedef std::unique_ptr<ui_file> ui_file_up

Definition at line 76 of file ui-file.h.

## Function Documentation

## ◆ gdb_flush()

void gdb_flush | ( | ui_file * |  | ) |

Definition at line 93 of file ui-file.c.

References ui_file::flush().

Referenced by ada_print_scalar(), adi_print_versions(), ATTRIBUTE_PRINTF(), c_val_print(), captured_main_1(), command_line_input(), darwin_attach(), dbx_psymtab_to_symtab_1(), dbx_read_symtab(), display_gdb_prompt(), display_mi_prompt(), do_examine(), cli_ui_out::do_flush(), mi_ui_out::do_flush(), do_one_display(), dwarf2_read_symtab(), echo_command(), extended_remote_attach(), f_val_print(), mi_console_file::flush(), follow_exec(), gdb_disassembly(), gdb_flush_out_err(), gdb_os_flush_stderr(), gdb_os_flush_stdout(), gdb_readline_no_editing(), gdb_wait_for_event(), gdbpy_flush(), generic_val_print(), gnu_attach(), gnu_detach(), handle_command(), handle_inferior_event_1(), inf_ptrace_attach(), info_display_command(), info_mem_command(), ioscm_fill_input(), ioscm_flush(), m2_val_print(), mdebug_build_psymtabs(), mdebug_read_symtab(), mi_breakpoint_created(), mi_breakpoint_deleted(), mi_breakpoint_modified(), mi_cmd_gdb_exit(), mi_command_param_changed(), mi_inferior_added(), mi_inferior_appeared(), mi_inferior_exit(), mi_inferior_removed(), mi_load_progress(), mi_memory_changed(), mi_new_thread(), mi_on_normal_stop_1(), mi_on_resume_1(), mi_record_changed(), mi_solib_loaded(), mi_solib_unloaded(), mi_thread_exit(), mi_traceframe_changed(), mi_tsv_created(), mi_tsv_deleted(), mi_tsv_modified(), mi_user_selected_context_changed(), output_command_const(), pascal_val_print(), print_disassembly(), print_flush(), print_frame_info(), print_sys_errmsg(), print_type_scalar(), printf_command(), proceed(), procfs_attach(), procfs_detach(), procfs_set_exec_trap(), psymtab_to_symtab_1(), putpkt_binary(), stderr_file::puts(), read_command_lines(), remote_console_output(), remote_fileio_func_write(), report_initial_inferior(), require_partial_symbols(), serial_log_command(), serial_readchar(), serial_write(), shell_escape(), symbol_file_add_with_addrs(), target_announce_detach(), unwind_command(), val_print(), val_print_string(), vwarning(), windows_attach(), windows_detach(), stderr_file::write(), xcoff_psymtab_to_symtab_1(), and xcoff_read_symtab().

## ◆ ui_file_isatty()

int ui_file_isatty | ( | struct ui_file * |  | ) |

Definition at line 99 of file ui-file.c.

References ui_file::isatty().

Referenced by tui_interp::init(), init_page_info(), and tui_enable().

## ◆ ui_file_read()

long ui_file_read | ( | struct ui_file * | file,
|  | char * | buf,
|  | long | length_buf
| ) |  |

Definition at line 121 of file ui-file.c.

References ui_file::read().

Referenced by ioscm_fill_input(), and remote_fileio_func_read().

## ◆ ui_file_write()

void ui_file_write | ( | struct ui_file * | file,
|  | const char * | buf,
|  | long | length_buf
| ) |  |

Definition at line 105 of file ui-file.c.

References ui_file::write().

Referenced by fputc_unfiltered(), gdb_os_write_stdout(), print_exception(), putchar_unfiltered(), and remote_fileio_func_write().

## ◆ ui_file_write_async_safe()

void ui_file_write_async_safe | ( | struct ui_file * | file,
|  | const char * | buf,
|  | long | length_buf
| ) |  |

Definition at line 113 of file ui-file.c.

References ui_file::write_async_safe().

Referenced by sigchld_handler().

## Variable Documentation

## ◆ null_stream

null_file null_stream

Definition at line 28 of file ui-file.c.

Referenced by arc_disassemble_info(), gdb_insn_length(), and safe_parse_type().